source ./common.sh

cd ${SOURCE_PATH}
${PRE_COMPILE_CMD}
cmake ${COMPILE_FLAGS}
make clean
make
cp ../bin/${SRC_EXE_NAME} ../../../../bin/${PROJECT_NAME}

cd ../../../../

tag_name=`git status |grep '# On branch '|sed 's/# On branch //g'`
dir_name=`basename $PWD`
package_name=${dir_name}.tar.gz

tar --exclude=*.git -chzf target/${package_name} bin common.sh reload.sh restart.sh start_instance.sh real_start_instance.sh manage.py config ${EXT_PKG_FILES}
