DROP TABLE IF EXISTS `city_info`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `city_info` (
  `id` int(11) NOT NULL  COMMENT 'ID',
  `cityname` varchar(40) CHARACTER SET utf8 NOT NULL COMMENT '名字',
  `parentid` int(11) NOT NULL DEFAULT '0' COMMENT 'ParentId',
  `shortname` varchar(30) CHARACTER SET utf8 NOT NULL COMMENT '排序名字',
  `leveltype` int(11) NOT NULL DEFAULT '0' COMMENT '类型等级',
  `citycode` int(11) DEFAULT '0' COMMENT '城市编码',
  `zipcode` int(11) DEFAULT '0' COMMENT '邮政编码',
  `country` varchar(20) CHARACTER SET utf8 NOT NULL COMMENT '国家',
  `province` varchar(20) CHARACTER SET utf8 NOT NULL COMMENT '省份',
  `city` varchar(20) CHARACTER SET utf8 NOT NULL COMMENT '城市',
  `district` varchar(40) CHARACTER SET utf8 NOT NULL COMMENT '区域',
  `ing` float NOT NULL DEFAULT '0' COMMENT '经度',
  `lat` float NOT NULL DEFAULT '0' COMMENT '纬度',
  `pinyin` varchar(60) CHARACTER SET utf8 NOT NULL COMMENT '拼音名字'
);
